CURSES_UNDERSCORE(3) | Library Functions Manual | CURSES_UNDERSCORE(3)

# NAME

`curses_underscore`, `underscore`, `underend`, `wunderscore`, `wunderend` —
curses underscore attribute manipulation routines

# LIBRARY

Curses Library (libcurses, -lcurses)

# SYNOPSIS

`#include <curses.h>`

int
`underscore`(void);

int
`underend`(void);

int
`wunderscore`(WINDOW *);

int
`wunderend`(WINDOW *);

# DESCRIPTION

These functions manipulate the underscore attribute on `stdscr` or on the specified window.

The `underscore`() function turns on the underscore attribute on `stdscr`. The `underend`() function turns off the underscore attribute on `stdscr`.

The `wunderscore`() and `wunderend`() functions are equivalent to `underscore`() and `underend`(), respectively, excepting that the attribute is manipulated on the window specified by win.

The `underscore`() and `underend`() functions are equivalent to `wattron`(A_UNDERLINE) and `wattroff`(A_UNDERLINE), respectively.

# RETURN VALUES

These functions always return 1.

# SEE ALSO

curses_attributes(3), curses_standout(3)

# STANDARDS

The NetBSD Curses library complies with the X/Open Curses specification, part of the Single Unix Specification.

# HISTORY

These functions first appeared in NetBSD 1.5.

September 29, 2018 | NetBSD 9.5